APT-CONFIG(8)

NAME
apt-config - APT-Konfigurationsabfrageprogramm

ÜBERSICHT

apt-config [--empty] [--format '%f "%v";%n'] [-o=Konfigurationszeichenkette] [-c=Konfigurationsdatei] {shell | dump | {-v | --version} | {-h | --help}}

BESCHREIBUNG

apt-config ist ein internes Programm, das von vielen Teilen der APT-Programmsammlung benutzt wird, um einheitliche Konfigurierbarkeit bereitzustellen. Es greift auf die Hauptkonfigurationsdatei /etc/apt/apt.conf auf eine Art zu, die leicht für geskriptete Anwendungen zu benutzen ist.

Sofern nicht die -h-, oder --help-Option angegeben ist, muss einer der nachfolgend aufgeführten Befehle vorkommen.

shell
    »shell« wird benutzt, um aus einem Shellskript auf Konfigurationsinformationen zuzugreifen. Es wird ein Paar von Argumenten angegeben – das erste ist eine Shell-Variable und das zweite ein Konfigurationswert, der abgefragt werden soll. Als Ausgabe führt es Shell-Zuweisungsbefehle für jeden vorhandenen Wert auf. In einen Shellskript sollte es wie folgt benutzt werden:

        OPTS="-f"
        RES=`apt-config shell OPTS MyApp::options`
        eval $RES
    Dies wird die Shell-Umgebungsvariable $OPT auf den Wert von MyApp::options mit einer Vorgabe von -f setzen.

    An das Konfigurationselement kann /[fdbi] angehängt werden. »f« gibt Dateinamen zurück, »d« gibt Verzeichnisse zurück, »b« gibt »true« oder »false« zurück und »i« gibt eine Ganzzahl zurück. Jede Rückgabe ist normiert und intern geprüft.

dump
    Nur der Inhalt des Konfigurationsbereichs wird angezeigt.

OPTIONEN

Alle Befehlszeilenoptionen können durch die Konfigurationsdatei gesetzt werden, die Beschreibung gibt die zu setzende Option an. Für boolesche Optionen können Sie die Konfigurationsdatei außer Kraft setzen, indem Sie etwas der Art -f-, --no-f, -f=no oder etliche weitere Varianten benutzen.

--empty
    schließt Optionen ein, die einen leeren Wert haben. Dies ist die Vorgabe, benutzen Sie daher --no-empty, um sie aus der Ausgabe zu entfernen.

--format '%f "%v";%n'
    definiert die Ausgabe jeder Konfigurationsoption. %t wird durch den individuellen Namen ersetzt, %f durch ihren vollständigen hierarchichen Namen und %v durch ihren Wert. Verwenden Sie Großbuchstaben; Sonderzeichen in dem Wert werden kodiert, um sicherzustellen, dass sie z.B. in einer maskierten Zeichenkette, wie sie RFC822 definiert, sicher verwandt werden kann. %n wird zusätzlich durch einen Zeilenumbruch ersetzt, %N durch einen Tabulator. Ein % kann mittels %% ausgegeben werden.

-h, --help
    eine kurze Aufrufzusammenfassung zeigen

-v, --version
    die Version des Programms anzeigen

-c, --config-file
    Konfigurationsdatei; hiermit wird die zu verwendende Konfigurationssdatei angegeben. Das Programm wird die Vorgabe-Konfigurationsdatei und dann diese Konfigurationsdatei lesen. Falls Konfigurationseinstellungen vor der Vorgabe-Konfiguration ausgewertet werden müssen, geben Sie eine Datei in der Umgebungsvariable APT_CONFIG an. Lesen Sie apt.conf(5), um Syntax-Informationen zu erhalten.

-o, --option
    eine Konfigurationsoption setzen; hiermit wird eine beliebige Konfigurationsoption gesetzt. Die Syntax lautet -o Foo::Bar=bar. -o und --option kann mehrfach benutzt werden, um verschiedene Optionen zu setzen.

SIEHE AUCH

apt.conf(5)

DIAGNOSE

apt-config gibt bei normalen Aktionen 0 zurück, dezimal 100 bei Fehlern.

FEHLER

APT-Fehlerseite[1]. Wenn Sie einen Fehler in APT berichten möchten, lesen Sie bitte /usr/share/doc/debian/bug-reporting.txt oder den reportbug(1)-Befehl. Verfassen Sie Fehlerberichte bitte auf Englisch.

ÜBERSETZUNG

Die deutsche Übersetzung wurde 2009 von Chris Leick <c.leick@vollbio.de> in Zusammenarbeit mit dem deutschen l10n-Team von Debian <debian-l10n-german@lists.debian.org> angefertigt.

Beachten Sie, dass diese Übersetzung Teile enthalten kann, die nicht übersetzt wurden. Dies ist so, damit kein Inhalt verloren geht, wenn die Übersetzung hinter dem Originalinhalt hinterherhängt.

AUTOREN

Jason Gunthorpe

APT-Team

FUßNOTEN

1.  APT-Fehlerseite
    http://bugs.debian.org/src:apt